r   e   k   l   a   m   a
r   e   k   l   a   m   a

Ważna poprawka Adobe Flash łata dziurę 0-day. Zalecamy szybką aktualizację

Strona główna AktualnościOPROGRAMOWANIE

Niestety technologia Flash stworzona i promowana przez firmę Adobe definitywnie nie ma łatwego życia. Do spółki z technologią Java, jest to oprogramowanie o największej ilości wykrywanych luk bezpieczeństwa i najbardziej narażające użytkowników na ataki różnego rodzaju. Cóż jednak poradzić, gdy w sieci ciągle znajduje się wiele materiałów, które Flasha wymagają i nie zanosi się na to, ażeby niczym za sprawą dotknięcia magiczną różdżką wszystko przerzuciło się nagle na HTML5. Użytkownikom pozostaje korzystać z Flasha, a także dbać o jego aktualizacje gdy jest to wymagane. Właśnie nadszedł taki moment, bo już drugi raz w tym miesiącu Adobe wydaje nową wersję, która łata bardzo poważną lukę.

Pierwsza została opublikowana 4 lutego i dotyczyła wersji 12.0.0.43, której luka pozwalała na przejęcie kontroli nad zainfekowaną maszyną. Kolejna luka to zagrożenie typu zero-day, aktualizacja naprawia w sumie jednak aż trzy usterki. Pierwsza oznaczona jako CVE-2014-0499 dotyczy możliwości obejścia zabezpieczenia ASLR (address space layout randomization), dwie pozostałe, CVE-2014-0498 i CVE -2014-0502 to z kolei szansa na wykonanie dowolnego kodu za sprawą przepełnienia stosu. Firma Adobe zaleca jak najszybszą aktualizację Flasha do najnowszej wersji, która dla wersji Windows oraz Mac jest oznaczona numerem 12.0.0.70, zaś dla systemu Linux 11.2.202.341. Oczywiście zaktualizowaną wersję znajdziecie w bazie aplikacji naszego serwisu. Sprawa jest o tyle poważna, ponieważ firma FireEye zajmująca się zabezpieczeniami poinformowała, że wiele z znanych witryn internetowych należących m.in. do rządu USA zostało zainfekowanych i teraz atakuje za pomocą wspomnianej luki niczego nieświadomych użytkowników. Całość nazwano operacją GreedyWonk.

O aktualizację nie muszą martwić się użytkownicy przeglądarki Google Chrome, bo ta jest wyposażona w wersję PepperFlash aktualizowaną automatycznie. Nie dotyczy to jednakże klonów tej przeglądarki, a więc np. SRWare Iron czy Comodo Dragon. Ich użytkownicy muszą pamiętać o aktualizacji paczki. Co prawda paczka Flash sugeruje przy instalacji włączenie automatycznych aktualizacji, niemniej w wypadku zagrożenia tak poważnego lepiej nie czekać i samodzielnie wykonać to jak najszybciej.

r   e   k   l   a   m   a
© dobreprogramy
r   e   k   l   a   m   a
r   e   k   l   a   m   a

Komentarze

r   e   k   l   a   m   a
r   e   k   l   a   m   a
Czy wiesz, że używamy cookies (ciasteczek)? Dowiedz się więcej o celu ich używania i zmianach ustawień.
Korzystając ze strony i asystenta pobierania wyrażasz zgodę na używanie cookies, zgodnie z aktualnymi ustawieniami przeglądarki.